# Atlas Embedding and Reranking API

> This is version `1.1` of this API documentation. Last update on Aug 14, 2026.
> The Atlas Embedding and Reranking API provides programmatic access to the latest Voyage AI embedding and reranking models through a RESTful interface.
> 
> Provide your [model API key](http://dochub.mongodb.org/core/voyage-api-keys) using the Bearer token format when constructing API requests.
> For example, the following cURL command sends a request to the `/embeddings` endpoint
> to embed a sample text:
> 
> ```bash
> curl https://ai.mongodb.com/v1/embeddings \
> -H "Content-Type: application/json" \
> -H "Authorization: Bearer VOYAGE_API_KEY" \
> -d '{
> "input": ["Sample text to embed"],
> "model": "voyage-4-large"
> }'
> ```
> 
> To learn more, see the [Embedding and Reranking API Overview](http://dochub.mongodb.org/core/voyage-api-overview).
> To learn how to create and manage your model API keys, see [Manage Model API Keys](http://dochub.mongodb.org/core/voyage-api-keys).
> 
> ## Authentication
> 
> All requests must include an `Authorization` header with your model API key using the Bearer token format:
> 
> ```
> Authorization: Bearer VOYAGE_API_KEY
> ```
> 
> ## Rate Limits
> 
> [Rate limits](http://dochub.mongodb.org/core/voyage-rate-limits) are applied per API key and measured in two dimensions:
> 
> - **TPM (Tokens Per Minute)**: Maximum number of tokens processed per minute
> - **RPM (Requests Per Minute)**: Maximum number of API requests per minute

OpenAPI file: https://www.mongodb.com/docs/api/doc/atlas-embedding-and-reranking-api/gh-actions-test.yaml

## Servers

- https://ai.mongodb.com/v1: https://ai.mongodb.com/v1 ()


## Topics

### [Authentication](https://www.mongodb.com/docs/api/doc/atlas-embedding-and-reranking-api/gh-actions-test/authentication.md)


## Endpoints

### [Endpoints](https://www.mongodb.com/docs/api/doc/atlas-embedding-and-reranking-api/gh-actions-test/group/endpoint-endpoints.md)

- [Create text embeddings](https://www.mongodb.com/docs/api/doc/atlas-embedding-and-reranking-api/gh-actions-test/operation/operation-createembedding.md)

- [Create contextualized chunk embeddings](https://www.mongodb.com/docs/api/doc/atlas-embedding-and-reranking-api/gh-actions-test/operation/operation-createcontextualizedembedding.md)

- [Create multimodal embeddings](https://www.mongodb.com/docs/api/doc/atlas-embedding-and-reranking-api/gh-actions-test/operation/operation-createmultimodalembedding.md)

- [Rerank documents](https://www.mongodb.com/docs/api/doc/atlas-embedding-and-reranking-api/gh-actions-test/operation/operation-rerankdocuments.md)




[Powered by Bump.sh](https://bump.sh)
